%fp=fopen('20040212cj_reg_8_1.vec', 'rb', 'l');
%vec = permute(reshape(fread(fp, inf, 'float'), [256*3 256 60]), [2 1 3]);
%fclose(fp);

bb = readraw('ripple_040706_7_1.REC', 'int16', [256 256 60 34], 'l');

fa_studio = readraw('/home/craig/data/tumor3T/20040706_ripple/ripple_040706.fa', 'float', [256 256 62], 'l');
vec_studio = readraw('/home/craig/data/tumor3T/20040706_ripple/ripple_040706.vec', 'float', [256*3 256 62], 'l');

fa_java = readraw('ripple_040706_7_1.fa', 'float', [256 256 62], 'l');
vec_java = readraw('ripple_040706_7_1.vec', 'float', [256*3 256 62], 'l');


figure(1),clf; mimagecb([fa_studio(:,:,20)' fa_java(:,:,20)'.*(bb(:,:,20)'>50)]);

figure(2),clf; mimagecb([fa_studio(:,:,20)'-fa_java(:,:,20)']);
colormap(jet); colorbar;


figure(3),clf; imshow(cat(3, vec_studio(1:3:end,:,20), vec_studio(2:3:end,:,20), vec_studio(3:3:end,:,20)));
figure(4),clf; imshow(cat(3, vec_java(1:3:end,:,20), vec_java(2:3:end,:,20), vec_java(3:3:end,:,20)));
