package apps.mrhead;

import javax.swing.*;
import java.io.*;
import java.awt.*;
import java.awt.image.*;
import cj.appkit.*;
import cj.fileformats.*;
import cj.volume.*;

final public class MRHeadApp {
	public static void main(String argv[]) {
		AppKit myApp = new MRIHeadKit(); myApp.main(argv);
	}
}

class MRIHeadKit extends FilterAppKit {

	MRIFile b;

	public String getAppName() { return "mrhead"; }
	public String getDialogName() { return "Inspect MRI file"; }

	public void initParams(MRIFile b) { this.b = b; }

	public void pre() { filterMode = READ_ONLY; }

	public MCVolume filter(MCVolume v) { b.show(); return v; }

}
