import java.*;
import java.io.*;

class ReadLittleEndian {
	public static short swapShort(short s) {
		return (short)((s&0x00FF)<<8 | (s&0xFF00)>>8); 
	} 
	
	public static int swapInt(int i) {
		return (i&0x000000FF)<<24 |
				(i&0x0000FF00)<<8 |
				(i&0x00FF0000)>>8 |
				(i&0xFF000000)>>24;
	}

	public static void main(String args[])
	{
		FileInputStream fis;
		DataInputStream ds;
		short ii;

		try {
			fis = new FileInputStream("data.dat");
			ds = new DataInputStream(fis);
		} catch(IOException e) { return; }

		try {
			ii = swapShort(ds.readShort());
			System.out.println("First on is " + ii );

			ii = swapShort(ds.readShort());
			System.out.println("Second on is " + ii );

			ii = swapShort(ds.readShort());
			System.out.println("Third on is " + ii );

		} catch (IOException e) { return; }


	}

}
